Bug 276119 - launch configuration does not quote executables properly
Summary: launch configuration does not quote executables properly
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Unclassified
Component: run support (show other bugs)
Version: 0.9.94
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: 1.2.3
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-20 12:52 UTC by Michael Tsang
Modified: 2012-01-21 09:50 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Tsang 2011-06-20 12:52:45 UTC
Version:           4.2.1 (using KDE 4.6.3) 
OS:                Linux

When I set the executable path, it does not quote the spaces properly, resulting in a missing executable

Reproducible: Always

Steps to Reproduce:
1. open a project which builds a executable in a path with spaces
2. click run -> configure launches
3. add a configuration 
4. select the executable
5. click ok
6. run it

Actual Results:  
it started /bin/bash, saying it can't find the executable

Expected Results:  
It should run the executable

OS: Linux (x86_64) release 2.6.38-2-amd64
Compiler: gcc

kdevelop should be 4.2.2, cannot find 4.2.2 above
Comment 1 Niko Sams 2011-06-20 15:35:19 UTC
by run - do you mean execute or debug?
Comment 2 Niko Sams 2011-06-20 21:17:37 UTC
ah, or do you run in an external terminal? Afaics that it not quoted correctly.
Comment 3 Michael Tsang 2011-06-22 11:06:27 UTC
to run the executable in an external konsole in the default configuration
Comment 4 Niko Sams 2012-01-21 09:50:08 UTC
Git commit bcb550fa5cabe1a409b28dc67205e5e6c19918eb by Niko Sams.
Committed on 21/01/2012 at 10:48.
Pushed by nsams into branch '1.3'.

Fix execute in external terminal for executables with spaces in path
FIXED-IN: 4.3

M  +2    -2    plugins/execute/nativeappjob.cpp

http://commits.kde.org/kdevplatform/bcb550fa5cabe1a409b28dc67205e5e6c19918eb